using System.ComponentModel;
using SushiBarContracts.Attributes;
using SushiBarDataModels.Models;

namespace SushiBarContracts.ViewModels
{
    public class ComponentViewModel : IComponentModel
    {
        [Column(visible: false)]
        public int Id { get; set; }

        [Column(title: "Компонент", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ComponentName { get; set; } = string.Empty;
        [DisplayName("Цена")]

        [Column(title: "Цена", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public double Cost { get; set; }
    }
}
